<div class="display-container collapsable collapsed">
    <div class="header communication-state warning-state format-source" instrument="Vaisla PWD"></div>

    {% include 'acquisition/display/header_buttons.html' %}

    {% include 'acquisition/display/nocommunication_content.html' %}

    <table class="content display-data column-split communication-state hide-false">
        <thead>
            <tr>
                <th></th>
                <th>1 Hour</th>
                <th>10/15 Minute</th>
                <th>Instantaneous<br>1 Minute</th>
            </tr>
        </thead>
        <tbody>
            <tr>
                <td>Visibility (km)</td>
                <td></td>
                <td class="value-formatted" field="WZ10Min" decimals="3"></td>
                <td class="value-formatted" field="WZ" decimals="3"></td>
            </tr>
            <tr>
                <td>SYNOP code</td>
                <td class="value-formatted" field="WX1Hour" digits="2" decimals="0" rightpad="4"></td>
                <td class="value-formatted" field="WX15Min" digits="2" decimals="0" rightpad="4"></td>
                <td class="value-formatted" field="WX" digits="2" decimals="0" rightpad="4"></td>
            </tr>
            <tr>
                <td>NWS code</td>
                <td></td>
                <td></td>
                <td class="value-raw" field="nws_code" rightpad="4"></td>
            </tr>
        </tbody>
    </table>

    <table class="content display-data communication-state hide-false">
        <thead>
            <tr> <th colspan="2">Temperature</th> </tr>
        </thead>
        <tbody>
            <tr> <td>Ambient (°C)</td>                  <td class="value-formatted" field="Tambient" rightpad="2"></td> </tr>
            <tr> <td>Internal (°C)</td>                 <td class="value-formatted" field="Tinternal" rightpad="2"></td> </tr>
            <tr> <td>DRD rain sensor (°C)</td>          <td class="value-formatted" field="Tdrd" rightpad="2"></td> </tr>
        </tbody>
    </table>

    <table class="content display-data communication-state hide-false">
        <thead>
            <tr> <th colspan="2">Raw measurements</th> </tr>
        </thead>
        <tbody>
            <tr> <td>Signal (Hz)</td>                   <td class="value-formatted" field="Csignal" decimals="2" rightpad="1"></td> </tr>
            <tr> <td>Offset (Hz)</td>                   <td class="value-formatted" field="Coffset" decimals="2" rightpad="1"></td> </tr>
            <tr> <td>Drift (Hz)</td>                    <td class="value-formatted" field="Cdrift" decimals="2" rightpad="1"></td> </tr>
            <tr> <td>DRD rain (Hz)</td>                 <td class="value-formatted" field="Cdrd" decimals="2" rightpad="1"></td> </tr>
            <tr> <td>Background luminance (cd/m²)</td>   <td class="value-formatted" field="I" decimals="2" rightpad="1"></td> </tr>
        </tbody>
    </table>

    <table class="content display-data communication-state hide-false">
        <thead>
            <tr> <th colspan="2">Backscatter contamination</th> </tr>
        </thead>
        <tbody>
            <tr> <td>Transmitter</td>                   <td class="value-formatted" field="BsTx" decimals="2" rightpad="1"></td> </tr>
            <tr> <td>Transmitter change</td>            <td class="value-formatted" field="BsTxChange" decimals="2" rightpad="1"></td> </tr>
            <tr> <td>Receiver</td>                      <td class="value-formatted" field="BsRx" decimals="2" rightpad="1"></td> </tr>
            <tr> <td>Receiver change</td>               <td class="value-formatted" field="BsRxChange" decimals="2" rightpad="1"></td> </tr>
        </tbody>
    </table>

    <table class="content display-data communication-state hide-false">
        <thead>
            <tr> <th colspan="2">Voltage</th> </tr>
        </thead>
        <tbody>
            <tr> <td>Raw supply (V)</td>                <td class="value-formatted" field="Vsupply" decimals="2" rightpad="1"></td> </tr>
            <tr> <td>Regulated positive (V)</td>        <td class="value-formatted" field="Vpositive" decimals="2" rightpad="1"></td> </tr>
            <tr> <td>Regulated negative (V)</td>        <td class="value-formatted" field="Vnegative" decimals="2" rightpad="1"></td> </tr>
            <tr> <td>LED control (V)</td>               <td class="value-formatted" field="Vled" decimals="2" rightpad="1"></td> </tr>
            <tr> <td>Ambient light receiver (V)</td>    <td class="value-formatted" field="Vambient" decimals="2" rightpad="1"></td> </tr>
        </tbody>
    </table>

    <div class="content display-data communication-state notification-state hide-false warning"
         notification="hardware_error">Hardware error</div>
    <div class="content display-data communication-state notification-state hide-false warning"
         notification="data_ram_error">Error in RAM read/write check</div>
    <div class="content display-data communication-state notification-state hide-false warning"
         notification="eeprom_error">EEPROM checksum error</div>

    <div class="content display-data communication-state notification-state hide-false warning"
         notification="power_range">Receiver or transmitter power supply is outside acceptable range</div>
    <div class="content display-data communication-state notification-state hide-false warning"
         notification="transmitter_range">LED control signal is outside acceptable range</div>

    <div class="content display-data communication-state notification-state hide-false warning"
         notification="offset_range">Offset frequency is outside acceptable range</div>
    <div class="content display-data communication-state notification-state hide-false warning"
         notification="signal_error">Signal and offset combine to an invalid value</div>
    <div class="content display-data communication-state notification-state hide-false warning"
         notification="receiver_range">Receiver backscatter signal too low</div>

    <div class="content display-data communication-state notification-state hide-false"
         notification="backscatter_range">Receiver or transmitter contamination signal outside acceptable range</div>
    <div class="content display-data communication-state notification-state hide-false"
         notification="temperature_range">Temperature outside acceptable range</div>
    <div class="content display-data communication-state notification-state hide-false"
         notification="rain_range">Rain sensor too close to zero</div>
    <div class="content display-data communication-state notification-state hide-false"
         notification="luminance_range">PWL111 luminance outside acceptable range</div>
    <div class="content display-data communication-state notification-state hide-false"
         notification="offset_drift">Offset drift detected</div>
    <div class="content display-data communication-state notification-state hide-false"
         notification="visibility_not_calibrated">Visibility calibration coefficient has not been changed from the factory default</div>

</div>

<style>
#{{uid}} .warning { color: #f80; }
</style>


<script>
(function() {
    const context = document.getElementById('{{uid}}').context;
    context.standardMode();
})();
</script>